[SCM] Samba Shared Repository - branch v4-0-test updated - release-4-0-0alpha4-68-g0e8f946

Jim McDonough jmcd at samba.org
Fri Jun 13 20:40:27 GMT 2008


The branch, v4-0-test has been updated
       via  0e8f946ed02a6d2d9469f9ccab5f3342b2b80725 (commit)
       via  74a0a9bb54b2583dde7a5fbadd4d10858de12ee7 (commit)
      from  cd4eddd31354f4ae45e8747da1a70340000716c3 (commit)

http://gitweb.samba.org/?p=samba.git;a=shortlog;h=v4-0-test


- Log -----------------------------------------------------------------
commit 0e8f946ed02a6d2d9469f9ccab5f3342b2b80725
Author: Jim McDonough <jmcd at samba.org>
Date:   Thu Jun 12 07:06:07 2008 -0400

    Missed these on the last commit

commit 74a0a9bb54b2583dde7a5fbadd4d10858de12ee7
Author: Jim McDonough <jmcd at samba.org>
Date:   Thu Jun 12 07:02:14 2008 -0400

    Initial automated wintest.
    
    Added a blackbox test which looks for $WINTEST_CONF_DIR,
    gets configuration vars from *.conf in that dir, disables
    smbwrapper, and runs RAW-OPEN torture test.
    
    Scripts are coming to startup/shutdown vm's.

-----------------------------------------------------------------------

Summary of changes:
 source/selftest/samba4_tests.sh         |    1 +
 testprogs/blackbox/test_wintest.sh      |   45 +++++++++++++++++++++++++++++++
 testprogs/blackbox/wintest/wintest.conf |    7 +++++
 3 files changed, 53 insertions(+), 0 deletions(-)
 create mode 100755 testprogs/blackbox/test_wintest.sh
 create mode 100644 testprogs/blackbox/wintest/wintest.conf


Changeset truncated at 500 lines:

diff --git a/source/selftest/samba4_tests.sh b/source/selftest/samba4_tests.sh
index 1d550cb..e9fbede 100755
--- a/source/selftest/samba4_tests.sh
+++ b/source/selftest/samba4_tests.sh
@@ -279,6 +279,7 @@ plantest "blackbox.masktest" dc $bbdir/test_masktest.sh "\$SERVER" "\$USERNAME"
 plantest "blackbox.gentest" dc $bbdir/test_gentest.sh "\$SERVER" "\$USERNAME" "\$PASSWORD" "\$DOMAIN" "$PREFIX"
 plantest "blackbox.wbinfo" dc $bbdir/test_wbinfo.sh "\$DOMAIN" "\$USERNAME" "\$PASSWORD" "dc"
 plantest "blackbox.wbinfo" member $bbdir/test_wbinfo.sh "\$DOMAIN" "\$DC_USERNAME" "\$DC_PASSWORD" "member"
+plantest "blackbox.wintest" none $bbdir/test_wintest.sh "$TORTURE_OPTIONS"
 
 # Tests using the "Simple" NTVFS backend
 
diff --git a/testprogs/blackbox/test_wintest.sh b/testprogs/blackbox/test_wintest.sh
new file mode 100755
index 0000000..8bbe4f2
--- /dev/null
+++ b/testprogs/blackbox/test_wintest.sh
@@ -0,0 +1,45 @@
+#!/bin/sh
+# Blackbox tests for testing against windows machines
+# Copyright (C) 2008 Jim McDonough
+
+
+testwithconf() {
+# define test variables, startup/shutdown scripts
+. $1
+shift 1
+
+if [ -n "$WINTEST_STARTUP" ]; then
+. $WINTEST_STARTUP;
+fi
+
+testit "smbtorture" $smbtorture //$SERVER/$SHARE RAW-OPEN -W "$DOMAIN" -U"$USERNAME%$PASSWORD" $@ || failed=`expr $failed + 1`
+
+if [ -n "$WINTEST_SHUTDOWN" ]; then
+. $WINTEST_SHUTDOWN;
+fi
+}
+
+
+# main
+# skip without WINTEST_CONF_DIR
+if [ -z "$WINTEST_CONF_DIR" ]; then
+exit 0;
+fi
+
+SOCKET_WRAPPER_DIR=
+export -n SOCKET_WRAPPER_DIR
+
+failed=0
+
+$basedir=`pwd`
+
+samba4bindir=`dirname $0`/../../source/bin
+smbtorture=$samba4bindir/smbtorture
+
+. `dirname $0`/subunit.sh
+
+for wintest_conf in $WINTEST_CONF_DIR/*.conf; do
+testwithconf "$wintest_conf" $@;
+done
+
+exit $failed
diff --git a/testprogs/blackbox/wintest/wintest.conf b/testprogs/blackbox/wintest/wintest.conf
new file mode 100644
index 0000000..d140366
--- /dev/null
+++ b/testprogs/blackbox/wintest/wintest.conf
@@ -0,0 +1,7 @@
+#export WINTEST_STARTUP="/tmp/startup client"
+#export WINTEST_SHUTDOWN=/tmp/shutdown client"
+export DOMAIN="client"
+export USERNAME="administrator"
+export PASSWORD="samba"
+export SERVER="192.168.213.161"
+export SHARE="c\$"
\ No newline at end of file


-- 
Samba Shared Repository


More information about the samba-cvs mailing list